/*
 Theme Name:   Elecgreen Child
 Theme URI:    http://wordpress.com
 Description:  This is a child theme for Elecgreen
 Author:       Goalthemes
 Author URI:   http://mygoalthemes.com
 Template:     elecgreen
 Version:      1.0.0
 Text Domain:  elecgreen-child
*/

.headerLogo.logo img {
    max-height: 100px;
    width: auto;
    max-width: auto !important;
    object-fit: contain;
}

.btn-theme,
.viewmore-products-btn,
a.btn-theme {
    border: 1px solid #33a83a;
    background: #33a83a;
}

.btn-theme:hover,
.viewmore-products-btn:hover,
a.btn-theme:hover {
    border: 1px solid #33a83a;
    color: #33a83a !important;
}

#primary-menu>li>a {
    font-size: 13px
}

.header_btn a {
    width: 100%;
    text-align: center;
}

.ppc-button-wrapper {
    position: relative;
    z-index: 1;
}



.home_banners1 .item-inner-features.style1 {
    display: flex;
    align-items: center;
}

.woocommerce-checkout-review-order-table {
    background: #fff !important;
}

#order_review .product-total,
.woocommerce table.shop_table td {
    text-align: right;
}

.woocommerce table.shop_table tbody .product-name {
    text-align: left;
}

table.woocommerce-checkout-review-order-table tr.wc-gzd-cart-item-has-thumbnail .wc-gzd-cart-item-name-wrapper .wc-gzd-cart-item-thumbnail img {
    width: 100%;
    height: auto;
}

.cf7-newsletter form p {
    position: relative;
    max-width: 100%;
    display: inline-block;
}

.cf7-newsletter form .wpcf7-form-control-wrap {
    padding: 3px 100px 3px 3px;
    border-style: solid;
    border-width: 1px;
    border-color: #fff;
    border-radius: 50px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
    background-color: #fff;
    height: 48px;
    display: inline-block;
    max-width: 100%;
}


.cf7-newsletter form .wpcf7-form-control-wrap input {
    color: #aaa;
    background: 0 0;
    border: 0;
    padding: 0 10px;
    outline: none;
    font-size: 13px;
    height: 40px;
}

.cf7-newsletter form .wpcf7-submit {
    background-color: #282828;
    border-color: #fff;
    border-width: 0;
    color: #fff;
    height: 40px;
    line-height: 16px;
    border-radius: 50px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
    font-family: "Be Vietnam Pro", Arial, sans-serif;
    font-size: 12px;
    text-transform: none;
    padding: 8px 25px;
    position: absolute;
    right: 4px;
    top: 4px;
}

.cf7-newsletter .wpcf7-spinner {
    position: absolute;
    left: 4px;
    top: 13px
}

.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output,
.wpcf7 form.sent .wpcf7-response-output {
    position: absolute;
    padding: 5px 10px;
    font-size: 10px;
    border-radius: 5px;
    border-width: 1px;
    background: #fff;
    color: #000;
    max-width: 100%;
    margin: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    display: inline-flex;
    left: 0px;
    animation-delay: 3s !important;
    animation: hide 1s forwards;
    /* Animacja trwająca 3 sekundy */
}

@keyframes hide {
    from {
        opacity: 1;
    }

    /* Początkowa przezroczystość 1 (widoczny) */
    to {
        opacity: 0;
        visibility: hidden;
    }

    /* Końcowa przezroczystość 0 (ukryty) */
}

.wpcf7 form.sent .wpcf7-response-output {
    color: #33a83a;
}

.wpcf7-not-valid-tip {
    display: none;
}

.wishlist-share-wrapper .ppc-button-wrapper {
    margin-bottom: 24px;
}

.description_tab {
    margin: 0px !important;
}

.description_tab a.tab-header-title {
    display: none;
}

.description_tab .tabs-content-wrapper {
    position: static !important;
    opacity: 1 !important;
    display: block !important;
    width: 100% !important;
    max-width: 100% !important;
    height: auto !important;
    visibility: visible !important;
    padding: 0px !important;
    transform: none !important;
    -webkit-transform: none !important;
    -moz-transform: none !important;
    -ms-transform: none !important;
    -o-transform: none !important;
    margin: 0px !important;
}

.tabs-v2 .description_tab .tabs-content-wrapper>h2:first-child {
    padding: 0px !important;
    margin: 0 0 16px 0 !important;
    background: transparent !important;
}

.add-to-cart-bottom-wrapper .product_description {
    display: none;
}

.sidebar .widget .tagcloud a {
    font-size: 8px !important;
}

p.photovoltaic_systems.form-row {
    padding: 16px !important;
    border-radius: 3px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border: 1px solid #56b533;
}

.sticky-bottom {
    position: absolute;
    /* Positioned absolutely within the container */
    bottom: 0;
    /* Sticks to the bottom */
    background: lightblue;
}

.woocommerce div.product form.cart {
    display: flex;
}

.woocommerce div.product form.cart .button {
    width: 100%;
}

.woocommerce div.product .product_description {
    margin-top: 32px;
}

.wc-gzd-photovoltaic-systems-notice strong {
    color: #56b533;
}

.wc-gzd-photovoltaic-systems-notice .small p {
    line-height: 140%;
    margin-bottom: 12px;
}

#add_payment_method #payment div.payment_box::before,
.woocommerce-cart #payment div.payment_box::before,
.woocommerce-checkout #payment div.payment_box::before {
    display: none !important;
}

#add_payment_method #payment div.payment_box::after,
.woocommerce-cart #payment div.payment_box::after,
.woocommerce-checkout #payment div.payment_box::after {
    content: "";
    display: block !important;
    margin: 0px !important;
    width: 20px;
    height: 20px;
    background: #ffffff;
    border-left: 1px solid #e6e6e6;
    border-top: 1px solid #e6e6e6;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    position: absolute;
    left: 36px;
    top: -10px;
}

.woocommerce-checkout #payment ul.payment_methods li .payment_box {
    margin-top: 20px;
}

.woocommerce-checkout #payment ul.payment_methods li label {
    font-size: 16px;
    font-weight: bold;
    color: #282828;
}

.wc-gzd-place-order .button {
    width: 100%;
}

.goal-breadscrumb {
    position: relative;
}

.goal-breadscrumb .clearfix,
.goal-breadscrumb .container {
    z-index: 1;
    position: relative;
}

.goal-breadscrumb::after {
    content: "";
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 0;
}

#goal-breadscrumb {
    background-size: cover;
}

.jconfirm-buttons button {
    width: 100%
}

#wcvat-toggle {
    margin: 0px 5px 0px;
    display: inline-block;
    padding: 0px;
    position: relative;
    width: auto;
    background: transparent;
}

#wcvat-toggle:before,
#wcvat-toggle.on:before {
    background-image: none;
    padding-left: 0em;
    margin-right: 0em;
}

#wcvat-toggle.on,
#wcvat-toggle.on:hover {
    background: transparent;
}

#wcvat-toggle.wcvat-toggle-widget {
    width: 34px;
    border-radius: 17px;
}

.mwst-switch_wrap {
    /*text-align:center;*/
}

.mwst-switch_wrap_product .mwst-switch_before,
.mwst-switch_wrap_product .mwst-switch_after {
    color: var(--e-global-color-primary);
    font-weight: 700;
}

.mwst-switch_wrap_product .slider:before {
    background-color: #ffffff;
}

.mwst-switch_before,
.mwst-switch_after {
    color: #ffffff;
    position: relative;
    top: 3px;
}

.mwst-switch_text {
    padding-top: 10px;
    font-size: 12px;
    display: block;
}

.mwst-switch_text::before {
    content: '';
}

.mwst-switch_wrap_header .mwst-switch_text {
    color: #ffffff;
    display: none !important;
}

.switch {
    position: relative;
    display: inline-block;
    width: 34px;
    height: 17px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #33a83a;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 13px;
    width: 13px;
    left: 4px;
    bottom: 2px;
    background-color: #282828;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider {
    background-color: #33a83a;
}

input:focus+.slider {
    box-shadow: 0 0 1px #33a83a;
}

input:checked+.slider:before {
    -webkit-transform: translateX(13px);
    -ms-transform: translateX(13px);
    transform: translateX(13px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 17px;
}

.slider.round:before {
    border-radius: 50%;
}

#wcvat-toggle {
    padding: 5px;
    position: fixed;
    top: 0;
    z-index: 100;
    color: #fff;
    background-color: #444;
    display: inline-block;
    font-style: normal;
    font-weight: 300;
    line-height: 1;
    text-align: right;
    width: auto;
    left: 0;
    font-size: 12px;
    font-weight: 700;
    font-family: inherit
}

#wcvat-toggle:before {
    content: "";
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mNkYAAAAAYAAjCB0C8AAAAASUVORK5CYII=);
    margin-right: .2em;
    padding-left: .1em;
    background-size: .1em .1em;
    background-position: 50%;
    background-repeat: no-repeat;
    transition: all .15s ease-in
}

#wcvat-toggle.on {
    background: rgba(255, 0, 0, .75)
}

#wcvat-toggle.on:hover {
    background: rgba(255, 0, 0, .95)
}

#wcvat-toggle.on:before {
    background-image: url("data:image/svg+xml,%3Csvg aria-hidden='true' focusable='false' data-prefix='fas' data-icon='check' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512' class='svg-inline--fa fa-check fa-w-16 fa-2x'%3E%3Cpath fill='%23FFF' d='M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z'%3E%3C/path%3E%3C/svg%3E");
    padding-left: 1em;
    background-size: 1em 1em;
    transition: all .25s ease-out
}

#wcvat-toggle span {
    padding-left: 5px
}

.cart_totals .total,
.cart_totals .tax-rate,
.cart_totals .order-total,
.cart_totals .tax-total {
    display: none
}

#wcvat-toggle.wcvat-toggle-widget {
    position: relative;
    opacity: 1;
    top: initial;
    z-index: initial;
    width: 34px;
    padding: 0px;
    background: transparent;
    text-align: center;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-decoration: none;
    margin-right: 10px;
}

.vat-confirmation-modal {
    position: fixed;
    z-index: 20;
    top: -150vh;
    left: calc(50% - 150px);
    background: #fff;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    box-shadow: 0px 0px 0px 0vw rgba(0, 0, 0, 0.3);
    padding: 16px;
    transition: all .5s ease-in-out;
    -webkit-transition: all .5s ease-in-out;
    -moz-transition: all .5s ease-in-out;
    -ms-transition: all .5s ease-in-out;
    -o-transition: all .5s ease-in-out;
    opacity: 0;
}

.vat-confirmation-modal.show {
    position: fixed;
    z-index: 20;
    top: 200px;
    box-shadow: 0px 10px 10px 200vw rgba(0, 0, 0, 0.3);
    opacity: 1;
}

.vatconfirm-title-c {
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 12px;
}

.vatconfirm-buttons {
    margin-top: 16px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.vatconfirm-buttons .btn-danger {
    background: #33a83a;
    border-color: #33a83a;
}

.vatconfirm-buttons .btn-danger:hover {
    background: #000;
    border-color: #000;
}

.summary.entry-summary .woocommerce-product-attributes {
    margin: 16px 0px 16px 0px;
}

.summary.entry-summary .woocommerce-product-attributes td,
.summary.entry-summary .woocommerce-product-attributes th {
    padding: 5px 10px;
}

.summary.entry-summary .woocommerce-product-attributes th {
    font-weight: bold;
    text-transform: none;
}

.details-product .information .compare {
    font-size: 14px;
}